// Desc: Configs for the translation that is used in the validation messages
export const translatesConfig = {
  required: 'validation.required',
  min: 'validation.min',
  max: 'validation.max',
  maxLength: 'validation.max_length',
  minLength: 'validation.min_length',
  pattern: 'validation.pattern',
  format: 'validation.format',
  email: 'validation.email',
};

// Desc: Enum for the validation error types
export enum EValidationTypes {
  required = 'required',
  min = 'min',
  max = 'max',
  maxLength = 'maxLength',
  minLength = 'minLength',
  pattern = 'pattern',
  format = 'format',
}
